## org.eclipse.uml2.common.edit.command
Class SubsetSupersetCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.uml2.common.edit.command.SubsetSupersetCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

Direct Known Subclasses:
  SubsetSupersetReplaceCommand, SubsetSupersetSetCommand

    public abstract class SubsetSupersetCommand

extends org.eclipse.emf.common.command.CompoundCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary
`protected org.eclipse.emf.edit.domain.EditingDomain` `domain`
`protected org.eclipse.emf.ecore.EStructuralFeature` `feature`
`protected org.eclipse.emf.ecore.EObject` `owner`
`protected org.eclipse.emf.ecore.EStructuralFeature[]` `subsetFeatures`
`protected org.eclipse.emf.common.command.Command` `subsetSupersetCommand`
`protected org.eclipse.emf.ecore.EStructuralFeature[]` `supersetFeatures`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`protected` `SubsetSupersetCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EStructuralFeature[] supersetFeatures, org.eclipse.emf.ecore.EStructuralFeature[] subsetFeatures, org.eclipse.emf.common.command.Command subsetSupersetCommand)`

Method Summary
`void` `execute()`
`protected boolean` `prepare()`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domain

    protected final org.eclipse.emf.edit.domain.EditingDomain domain

### owner

    protected final org.eclipse.emf.ecore.EObject owner

### feature

    protected final org.eclipse.emf.ecore.EStructuralFeature feature

### supersetFeatures

    protected final org.eclipse.emf.ecore.EStructuralFeature[] supersetFeatures

### subsetFeatures

    protected final org.eclipse.emf.ecore.EStructuralFeature[] subsetFeatures

### subsetSupersetCommand

    protected final org.eclipse.emf.common.command.Command subsetSupersetCommand

Constructor Detail

### SubsetSupersetCommand

    protected SubsetSupersetCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                    org.eclipse.emf.ecore.EObject owner,
                                    org.eclipse.emf.ecore.EStructuralFeature feature,
                                    org.eclipse.emf.ecore.EStructuralFeature[] supersetFeatures,
                                    org.eclipse.emf.ecore.EStructuralFeature[] subsetFeatures,
                                    org.eclipse.emf.common.command.Command subsetSupersetCommand)

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `execute` in class `org.eclipse.emf.common.command.CompoundCommand`

### prepare

    protected boolean prepare()

  Overrides:
    `prepare` in class `org.eclipse.emf.common.command.CompoundCommand`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.